corda / net.corda.core.contracts.clauses / FilterOn / getExecutionPath

# getExecutionPath

`fun getExecutionPath(commands: List<AuthenticatedObject<C>>): List<Clause<*, *, *>>`

Determine the subclauses which will be verified as a result of verifying this clause.

### Exceptions

`IllegalStateException` - if the given commands do not result in a valid execution (for example no match with FirstOf).